package com.hxhq.business.enums.zykgl;

/**
 * 借阅状态 1:未借阅 3:待借阅 5:借阅中
 * @author tanfei
 */
public enum JyztEnum {

    /**
     * 未借阅
     */
    wjy(1, "未借阅"),

    /**
     * 待借阅
     */
    djy(3, "待借阅"),

    /**
     * 借阅中
     */
    jyz(5, "借阅中");

    private int value;
    private String text;

    JyztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static JyztEnum getEnumByValue(int type) {
        for (JyztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
